#include "stm32f10x.h"
 
//------------------------------------------------------------------------------
 
void InitAll(void);
void Delay(unsigned int Val);
 
//------------------------------------------------------------------------------
 
int main(void) 
	{
 
  	InitAll();
 
  	while(1) 
		{
    	GPIO_SetBits( GPIOC, GPIO_Pin_8);
		GPIO_ResetBits( GPIOC, GPIO_Pin_9);
    	Delay(1200000);
 
    	GPIO_ResetBits( GPIOC, GPIO_Pin_8);
		GPIO_SetBits( GPIOC, GPIO_Pin_9);
    	Delay(1200000);
  		}
 	}
 
//------------------------------------------------------------------------------
 
void InitAll(void) 
	{
  	GPIO_InitTypeDef GPIO_InitStructure;
 
  	// Enable PORTC Periph clock  
  	RCC_APB2PeriphClockCmd( RCC_APB2Periph_GPIOC, ENABLE);
 
  	// Configure PC.8 & 9 as Push Pull output at max 10Mhz
  	GPIO_InitStructure.GPIO_Pin =  GPIO_Pin_8 | GPIO_Pin_9;
  	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_10MHz;
  	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
  	GPIO_Init( GPIOC, &GPIO_InitStructure);
 
  	return;
	}
 
//------------------------------------------------------------------------------
 
void Delay(unsigned int Val) 
	{
  	for(; Val != 0; Val--) __NOP();
  	}

//------------------------------------------------------------------------------
